%define languageenglazy Kurdish
%define languagecode    ku
%define lc_ctype        ku_TR

%define tarball_version %(echo %{version} | sed -r "s@[.]@@g")

Name:           hunspell-%{languagecode}
Version:        0.21
Release:        %mkrel 10
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3 or LGPLv3 or MPLv1.1
Group:          System/Internationalization
URL:            https://sourceforge.net/projects/myspellkurdish/
Source0:        http://downloads.sourceforge.net/myspellkurdish/%{lc_ctype}-%{tarball_version}.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ku
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ku_SY = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ku_SY = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n %{lc_ctype}

%build
for i in README_ku_TR.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

ku_TR_aliases="ku_SY"
pushd %{buildroot}%{_datadir}/hunspell
    for lang in $ku_TR_aliases
    do
        ln -s %{lc_ctype}.aff $lang.aff
        ln -s %{lc_ctype}.dic $lang.dic
    done
popd #%%{buildroot}%%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    for lang in $ku_TR_aliases
    do
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_ku_TR.txt gpl-3.0.txt lgpl-3.0.txt MPL-1.1.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 0.21-10.mga2
+ Revision: 224725
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 0.21-9.mga2
+ Revision: 208495
- use better obsoleting of myspell
- fix providing of dictionaries ku_SY

* Fri Jan 27 2012 kamil <kamil> 0.21-8.mga2
+ Revision: 202109
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.21-7.mga1
+ Revision: 68894
- imported package hunspell-ku

